Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::PrefixTermEnum Class Reference

Subclass of FilteredTermEnum for enumerating all terms that match the specified prefix filter term. More...

`#include <PrefixTermEnum.h>`

Inheritance diagram for Lucene::PrefixTermEnum:

## Public Member Functions

| PrefixTermEnum (const IndexReaderPtr &reader, const TermPtr &prefix)
virtual | ~PrefixTermEnum ()
virtual String | getClassName ()
boost::shared_ptr< PrefixTermEnum > | shared_from_this ()
virtual double | difference ()
| Equality measure on the term.
Public Member Functions inherited from Lucene::FilteredTermEnum
virtual | ~FilteredTermEnum ()
boost::shared_ptr< FilteredTermEnum > | shared_from_this ()
virtual int32_t | docFreq ()
| Returns the docFreq of the current Term in the enumeration. Returns -1 if no Term matches or all terms have been enumerated.
virtual bool | next ()
| Increments the enumeration to the next element. True if one exists.
virtual TermPtr | term ()
| Returns the current Term in the enumeration. Returns null if no Term matches or all terms have been enumerated.
virtual void | close ()
| Closes the enumeration to further activity, freeing resources.
Public Member Functions inherited from Lucene::TermEnum
virtual | ~TermEnum ()
boost::shared_ptr< TermEnum > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FilteredTermEnum
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermEnum
static String | _getClassName ()

## Protected Member Functions

virtual bool | endEnum ()
| Indicates the end of the enumeration has been reached.
virtual bool | termCompare (const TermPtr &term)
| Equality compare on the term.
TermPtr | getPrefixTerm ()
Protected Member Functions inherited from Lucene::FilteredTermEnum
virtual void | setEnum (const TermEnumPtr &actualEnum)
| Use this method to set the actual TermEnum (eg. in ctor), it will be automatically positioned on the first matching term.
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Protected Attributes

TermPtr | prefix
bool | _endEnum
Protected Attributes inherited from Lucene::FilteredTermEnum
TermPtr | currentTerm
| The current term.
TermEnumPtr | actualEnum
| The delegate enum - to set this member use `setEnum`.
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Subclass of FilteredTermEnum for enumerating all terms that match the specified prefix filter term.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

## Constructor & Destructor Documentation

## ◆ PrefixTermEnum()

Lucene::PrefixTermEnum::PrefixTermEnum | ( | const IndexReaderPtr & | reader,
|  | const TermPtr & | prefix )

References prefix.

Referenced by _getClassName().

## ◆ ~PrefixTermEnum()

virtual Lucene::PrefixTermEnum::~PrefixTermEnum | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::PrefixTermEnum::_getClassName | ( |  | ) |

inline static

References PrefixTermEnum().

## ◆ difference()

virtual double Lucene::PrefixTermEnum::difference | ( |  | ) |

virtual

Equality measure on the term.

Implements Lucene::FilteredTermEnum.

## ◆ endEnum()

virtual bool Lucene::PrefixTermEnum::endEnum | ( |  | ) |

protected virtual

Indicates the end of the enumeration has been reached.

Implements Lucene::FilteredTermEnum.

## ◆ getClassName()

virtual String Lucene::PrefixTermEnum::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FilteredTermEnum.

## ◆ getPrefixTerm()

TermPtr Lucene::PrefixTermEnum::getPrefixTerm | ( |  | ) |

protected

## ◆ shared_from_this()

boost::shared_ptr< PrefixTermEnum > Lucene::PrefixTermEnum::shared_from_this | ( |  | ) |

inline

## ◆ termCompare()

virtual bool Lucene::PrefixTermEnum::termCompare | ( | const TermPtr & | term | ) |

protected virtual

Equality compare on the term.

Implements Lucene::FilteredTermEnum.

References Lucene::FilteredTermEnum::term().

## Field Documentation

## ◆ _endEnum

bool Lucene::PrefixTermEnum::_endEnum

protected

## ◆ prefix

TermPtr Lucene::PrefixTermEnum::prefix

protected

Referenced by PrefixTermEnum().

The documentation for this class was generated from the following file:

- PrefixTermEnum.h

clucene.sourceforge.net